package edu.cmu.fantango.util;

import java.lang.RuntimeException;

/**
 * DBSystemException is thrown by a DB component when there is
 * some irrecoverable error (like SQLException)
 */
public class DBSystemException extends RuntimeException {

    public DBSystemException() {}
    public DBSystemException(String msg) {
        super(msg);
    }
    public DBSystemException(String msg, Throwable cause) {
        super(msg, cause);
    }
    public DBSystemException(Throwable cause) {
        super(cause);
    }
}
